
QGIS Application - Bug report #14398

QGIS does not connect if URL domain name has > 4 subdomains

2016-03-01 02:06 PM - greg ederer

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.8.4 Regression?: No

Operating System: OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22379

Description

The following URL does not work in QGIS:

https://firms2.modaps.eosdis.nasa.gov/wms/getcapabilities.xml

QGIS responds that it cannot connect.

I moved the getcapabilities.xml file to a host with fewer subdomains in its name, and QGIS is able to connect and read the exact same

file:

https://ladsweb.nascom.nasa.gov/wms/getcapabilities.xml

Firefox can connect to, read from, and display the content from both domains.

QGIS version    2.8.4-Wien    QGIS code revision    exported

Compiled against Qt    4.8.6    Running against Qt    4.8.6

Compiled against GDAL/OGR    1.11.3    Running against GDAL/OGR    1.11.3

Compiled against GEOS    3.5.0-CAPI-1.9.0    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.4.4    SpatiaLite Version    4.3.0a

QWT Version    6.0.2    PROJ.4 Version    492

QScintilla2 Version    2.9

Related issues:

Related to QGIS Application - Bug report # 14399: QGIS cannot connect to URL ... Closed 2016-03-01

History

#1 - 2016-03-01 02:14 PM - Jürgen Fischer

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to Normal

Does that also happen with a current version (2.8.7, 2.14 or master)?   It's not reproduable here with master at least.

#2 - 2016-03-01 02:39 PM - greg ederer

Not sure. I will have to build newer version. User reported this bug to our User Support team when trying to access our WMS site. I downloaded "long term

supported" QGIS MAC version and installed, and that had the same issue as reported by our user and that I reported above.

#3 - 2016-03-01 02:57 PM - Jürgen Fischer

- Operating System set to OSX
#4 - 2016-03-04 09:39 AM - greg ederer

User reported using QGIS version "2.12 and about to update to 2.14"

#5 - 2016-03-07 02:44 AM - Jukka Rahkonen

I may be wrong but I suppose that QGIS is planned to work according to WMS standard and it tries to read the GetCapabilities document by firing a WMS

GetCapabilities request to a given base URL. So instead of reading the static document

https://ladsweb.nascom.nasa.gov/wms/getcapabilities.xml

QGIS is probably using that address as a base URL and adds the normal WMS parameters for building a request

https://ladsweb.nascom.nasa.gov/wms/getcapabilities.xml?service=WMS&#38;request=GetCapabilities

It is also a bit difficult to test https://firms2.modaps.eosdis.nasa.gov/wms with some other GIS software because the certificate from Entrust, Inc. is not

trusted by Java 

javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path building failed:

sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

This request does return GetCapabilities on browser but it is still the same copy from the MapServer demo service 

https://firms2.modaps.eosdis.nasa.gov/wms?service=WMS&#38;request=GetCapabilities

#6 - 2016-03-07 03:40 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to invalid

Jukka Rahkonen wrote:

I may be wrong but I suppose that QGIS is planned to work according to WMS standard and it tries to read the GetCapabilities document by firing a

WMS GetCapabilities request to a given base URL. So instead of reading the static document

https://ladsweb.nascom.nasa.gov/wms/getcapabilities.xml

QGIS is probably using that address as a base URL and adds the normal WMS parameters for building a request

https://ladsweb.nascom.nasa.gov/wms/getcapabilities.xml?service=WMS&#38;request=GetCapabilities

Appending parameters to the url also retrieves the static document.   Whether it can GetMap requests work later afterwards depends on whether or not

"IgnoreGetMapUrl" is on or off in the connection.  If it's on it will also try to use that url for GetMap requests and that'll fail - because the service is actually

at demo.mapserver.org.  Not sure why this static document is necessary.   Accessing demo.mapserver.org direct should also work fine (even when

"IgnoreGetMapUrl" is on).

#7 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
